curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}import requests
url = "https://api.chift.eu/consumers/{consumer_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"consumerid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"internal_reference": "<string>",
"redirect_url": "<string>",
"account": {
"name": "<string>",
"email": "<string>"
}
}{
"message": "The consumer does not exist",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get one consumer
Returns the consumer matching the given ID.
- What is a consumer? ↗
- How to connect a consumer to a software? ↗
- How to handle activation and redirects? ↗
Path Parameters
Query Parameters
Include account information. Only for marketplace consumers
true, false Response
Successful Response
Unique id of the consumer in Chift
Name of the consumer as it will appear in your Chift platform. This name may be used for automated communications, such as automatic mailings if you enable this feature
1Optional - Email address of the consumer. It can be used for sending automated reminders (if the feature is enabled) and deployment by mail of local agent (when on-premise connector).
Date and time when the consumer was created
Your internal reference for the client (e.g., customer ID or unique identifier in your system).
URL to redirect the user after completing the activation via our link. Useful for directing customers to a dynamic or personalized url. You can also set up a default static URL in Chift's back office for all consumers.
Marketplace account of the consumer. Only returned when include_account is true, and only for marketplace consumers.
Show child attributes
Show child attributes